<?php
namespace MageWorx\Info\Block\Adminhtml\Extensions;

/**
 * Interceptor class for @see \MageWorx\Info\Block\Adminhtml\Extensions
 */
class Interceptor extends \MageWorx\Info\Block\Adminhtml\Extensions implements \Magento\Framework\Interception\InterceptorInterface
{
    use \Magento\Framework\Interception\Interceptor;

    public function __construct(\MageWorx\Info\Model\MetaPackageList $metaPackageList, \MageWorx\Info\Helper\Data $helper, \Magento\Framework\DataObjectFactory $dataObjectFactory, \Magento\Framework\View\Element\Template\Context $context, array $data = [])
    {
        $this->___init();
        parent::__construct($metaPackageList, $helper, $dataObjectFactory, $context, $data);
    }

    /**
     * {@inheritdoc}
     */
    public function getUrl($route = '', $params = [])
    {
        $pluginInfo = $this->pluginList->getNext($this->subjectType, 'getUrl');
        return $pluginInfo ? $this->___callPlugins('getUrl', func_get_args(), $pluginInfo) : parent::getUrl($route, $params);
    }
}
